Subject: bug#69968: closed (Re: bug#69968: Case-folding of Mathematical Alphanumeric Symbols)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Mar 2024 17:22:02 +0000

Your bug report

#69968: Case-folding of Mathematical Alphanumeric Symbols

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69968: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69968
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69968: Case-folding of Mathematical Alphanumeric Symbols
From: Juri Linkov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Mar 2024 19:18:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I agree that case-conversions for these characters would make more
> sense as part of a larger package which would allow using these
> characters as letters.  In any case, making a lower-case character L
> and upper-case character U a case-pair is simple:
>
>   (let ((tbl (standard-case-table)))
>     (set-case-syntax-pair U L tbl))
>
> The above makes the change global, but it can also be made
> buffer-locally; see "Case Tables" in the ELisp manual for more
> details.
>
> I guess we can now close this bug?  Or is there anything else to do
> here?

Thanks for the explanations, so I'm closing this now.

Subject: Case-folding of Mathematical Alphanumeric Symbols
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Sat, 23 Mar 2024 20:27:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I wonder why case-folding is not supported for letters from
the Unicode block "Mathematical Alphanumeric Symbols":
https://en.wikipedia.org/wiki/Mathematical_Alphanumeric_Symbols

Is it because the Unicode standard doesn't provide information
about their case-folding?  And indeed they are missing from
https://unicode.org/Public/UNIDATA/CaseFolding.txt

But OTOH, I can't find the file CaseFolding.txt in admin/unidata.
This means Emacs doesn't use this file?

Then should we add more case-folding information explicitly
for this Unicode block?

Case-folding is already supported for some characters from other
Unicode blocks such e.g. FULLWIDTH LATIN CAPITAL LETTERs,
CIRCLED LATIN CAPITAL LETTERs, etc.
But e.g. PARENTHESIZED LATIN CAPITAL LETTERs are missing too.
What is worse is that in Emacs ⒜ doesn't have even a word syntax
like its counterpart 🄐.